Create Lookup Table Import

Create a new warehouse import for lookup table data.

Lookup tables allow you to enrich event and user properties with additional attributes from your warehouse.

Path Params
integer
required

Your project id (eg: 12345)

Body Params
string
enum
required
Allowed:
integer
required
table_params
object
required

Table location parameters (structure depends on warehouse type)

mixpanel_property
object
required

The Mixpanel property that this lookup table will be joined on. This defines the "Join Key" — the Mixpanel event or user property whose values will be matched against the property_key_column_name column in your warehouse table.

For example, if your events have a property called product_id and your warehouse lookup table has a column product_id containing matching values along with enrichment columns like product_name and category, you would set:

  • mixpanel_property.value = "product_id" (the Mixpanel property name)
  • property_key_column_name = "product_id" (the warehouse column name)
string
required

The name of the column in your warehouse table that contains the join key values. This column's values will be matched against the Mixpanel property specified in mixpanel_property.value to look up the corresponding row.

string
enum
required
Allowed:
integer
enum

Sync frequency in nanoseconds. Only these values are accepted:

  • 0 - API-triggered only (use the manual-sync endpoint to trigger)
  • 3600000000000 - Hourly
  • 86400000000000 - Daily
  • 604800000000000 - Weekly
Allowed:
databricks_params
object | null
Responses

Language
Credentials
Basic
base64
:
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json